Skip to main content
PUT
Update a campaign

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

campaign
integer
required

The campaign ID

Body

application/json
published
boolean
public
boolean
type
enum<string>
Available options:
general,
collect,
fundraise,
event
Maximum string length: 255
title
string
Maximum string length: 150
subtitle
string | null
Maximum string length: 255
website
string<uri> | null
Maximum string length: 255
description
string | null
goal
integer | null
Required range: x >= 0
end_at
string<date-time> | null
short_code
string | null
Maximum string length: 255
slug
string
Maximum string length: 255
beneficiary_id
integer | null
timezone
string | null
Maximum string length: 255
currency
enum<string>
Available options:
USD
default_appeal_id
integer | null
cover
object
settings
(hide_time_remaining · object | show_countdown_clock · object | hide_money_raised · object | theme_color · object | use_actual_cover_size · object | disable_embed_branding · object | custom_donate_text · object | hide_supporter_feed · object | auction_tab_text · object | hide_auction_components · object | hide_contact_information · object | meta_image_alt_text · object | disable_donations · object | minimum_donation · object | require_donor_phone · object | enforce_end_at · object | disable_recurring · object | thank_you_message · object | default_fund · object | hide_fund · object | require_address · object | default_frequency · object | display_frequencies · object | public_check_payments · object | disable_company_field · object | hide_fee_collection · object | force_fee_collection · object | custom_donation_amounts · object | disable_dedications · object | hide_other_option · object | remove_tips_increase_fee · object | custom_fee_text · object | custom_flow_heading · object | fund_sort_by · object | require_fund · object | disable_team_fundraising · object | disable_public_join · object | disable_public_join_button · object | custom_team_members_heading · object | custom_join_text · object | disallow_new_teams · object | hide_member_raised · object | custom_team_leaderboard_heading · object | enable_registration_fundraising · object | registration_thank_you_message · object | multi_team_fundraising · object | multi_team_fundraising_limit · object | hide_team_raised · object | require_team_for_members · object | team_order · object | require_ticket_phone · object | enable_event_reminders · object)[] | null

A campaign setting. The name field determines the expected shape of value.

Response

CampaignResource

id
string
required
code
string
required
account_id
string
required
event_id
string
required
type
string
required
title
string
required
subtitle
string
required
description
string
required
slug
string
required
url
string
required
goal
integer | null
required
raised
number
required
donors
integer
required
currency
string
required
cover
string
required
status
string
required
timezone
string
required
end_at
string
required
settings
CampaignSettingResource · object[]
required
created_at
string
required
updated_at
string
required
event
EventResource · object